Subject: SNA Service Transaction Names -Reply

From: Tom Miller <[email-masked]>
Date: Wed, 22 Feb 1995 12:42:18 -0700

John,

I was out for awhile so it is only now that I have had a chance to think
about your reply.  Although it may be unlikely, I think we should avoid
restricting a TP name to not start with a single quote if possible.  We can't
really know what people have used for TP names. 

The existing Novell implimentation raises the question of how other
implimentors have dealt with Service TPs in the past since it was left up
to the implimentation.  Are there other schemes that have been used? 
What kind of migration problems will exist moving from those schemes to
an architected scheme?  

You mention that the Novell scheme is problematic in that it is difficult to
mix hex and characters in some languages.  Could you be more specific. 
Is it difficult or impossible?  What languages present problems?  The
Novell scheme still allows the programmer to give the hex representation
of the characters that will be converted-- thus the entire TP name can be
given in hex. So, I disagree that there is an issue of mixed hex and
character. 

Regards, 

Tom Miller